using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e) 
    {
        AddSearchBar(RadFileExplorer1);
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeExplorer();
    }

    private void InitializeExplorer()
    {
        RadFileExplorer1.Configuration.ContentProviderTypeName = typeof(Telerik.Web.UI.Widgets.FileSystemContentProvider).AssemblyQualifiedName;

        if (!IsPostBack)
        {
            RadFileExplorer1.Configuration.ViewPaths = new string[] { "~/Img/ROOT1" }; // default root
        }
        else
        {
            string ctrlname = this.Request.Params["__EVENTTARGET"];
            if (ctrlname != null && ctrlname != String.Empty)
            {
                Control postbackControl = this.FindControl(ctrlname);
                if (postbackControl.ID.EndsWith("RadComboBox1"))
                {
                    RadFileExplorer1.TreeView.Nodes.Clear();
                    string value = ((RadComboBox)postbackControl).SelectedValue;
                    RadFileExplorer1.Configuration.ViewPaths = new string[] { value };
                }
            }
        }
    }

    private void AddSearchBar(RadFileExplorer explorer)
    {
        RadToolBarButton button = new RadToolBarButton();
        button.EnableViewState = true;
        button.CommandName = "SearchCommand";
        button.ItemTemplate = new ToolBarButtonTemplate();
        explorer.ToolBar.Items.Add(button);
    }

}

class ToolBarButtonTemplate : ITemplate
{
    RadComboBox searchTypeSelector;

    public ToolBarButtonTemplate()
    {
        this.searchTypeSelector = new RadComboBox();
        this.searchTypeSelector.ID = "RadComboBox1";
        this.searchTypeSelector.AutoPostBack = true;

        this.searchTypeSelector.Width = Unit.Pixel(80);

        RadComboBoxItem firstRoot = new RadComboBoxItem("First root", "~/Img/ROOT1");
        this.searchTypeSelector.Items.Add(firstRoot);
        RadComboBoxItem secondRoot = new RadComboBoxItem("Second root", "~/Img/ROOT2");
        this.searchTypeSelector.Items.Add(secondRoot);
    }

    public void InstantiateIn(Control container)
    {// Add the controls to the controls collection ofthe template 

        HtmlGenericControl wrapperDiv = new HtmlGenericControl("DIV");
        wrapperDiv.Controls.Add(this.searchTypeSelector);
        container.Controls.Add(wrapperDiv);
    }

}

